--- old/usr/src/lib/libshare/autofs/Makefile.com	2014-02-13 22:45:24.711428327 -0500
+++ new/usr/src/lib/libshare/autofs/Makefile.com	2014-02-13 22:45:24.725037727 -0500
@@ -42,7 +42,10 @@
 lintcheck := SRCS = $(LIBSRCS)
 
 LIBS =		$(DYNLIB)
-LDLIBS +=	-lshare -lscf -lumem -lc -lxml2
+LDLIBS +=	-lshare -lscf -lumem -lc
+
+# libxml2 has no lint library, so we can only use it when building
+$(DYNLIB) := LDLIBS += -lxml2
 
 #add nfs/lib directory as part of the include path
 CFLAGS +=	$(CCVERBOSE)
@@ -51,7 +54,7 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CPPFLAGS +=	-D_REENTRANT -I$(AUTOFSSMFLIB_DIR) \
 			-I$(ADJUNCT_PROTO)/usr/include/libxml2 \
-  			-I$(SRCDIR)../common
+			-I$(SRCDIR)../common
 
 .KEEP_STATE:
 
